Page MenuHomePhabricator

Create "how to rewrite a log to use the new system" tutorial/manual
Closed, DeclinedPublic

Description

Same logic as in bug 42892.

Quoting Siebrand from the URL: «What is harder, is getting the actual work done. We need volunteer developers for that. If you know any that care about this area in particular, please point them my/our way, and I'll make sure that person will be trained so he's up for the job. Intermediate PHP skills and some familiarity with MediaWiki code would be nice».

[[mw:Manual:Logging to Special:Log]] contains only a bare example; Niklas seems to think this enough, but apparently it isn't for normal devs. The log rewrite hero Siebrand hoped to train has not popped up in the last year and hence can't be trained, so we need some distributed effort or anyway something concrete to point people at, other than "would you please rewrite the log for X?" "OMG scary I've no idea what it means no thanks".

Rancher, are you still interested in the topic and how would you like to help? Just crash-testing a draft tutorial/manual by working on the rewrite of a single log, to ensure the docs can successfully guide someone through the job, would be useful: am I correct, Siebrand?


Version: 1.21.x
Severity: normal
URL: https://translatewiki.net/wiki/Thread:Talk:Gender/Gender

Details

Reference
bz42893

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:59 AM
bzimport set Reference to bz42893.
Nemo_bis created this task.Dec 9 2012, 10:23 AM

Using the new system isn't the hard part. The hard part is making sense out of what has been stored in the log fields for the past 10 years. Usually it is a undocumented mess and lego sentences are composed from strings stored in the log params in random language. And of course it has to produce two different outputs, one for humans that can be translated and one unstructed format for bots using IRC.

See also https://gerrit.wikimedia.org/r/#/c/5288/ which is a complete example.

What is "the new system"? What was "the old system"?
I have no idea what this task is about and if this is still relevant.

What is "the new system"? What was "the old system"?

An explanatory link is provided in the task description.

What is "the new system"? What was "the old system"?
I have no idea what this task is about and if this is still relevant.

https://www.mediawiki.org/wiki/Manual:Logging_to_Special:Log is the current documentation that has existed for quite a while. As far as I can tell, this covers it all. Can this task be closed as resolved?

Niklas's comment "The hard part is making sense out of what has been stored in the log fields for the past 10 years" is the true blocker. People like @Umherirrender deserve a medal for sorting out the mess, and making progress on T26620. I think we're nearing completion in core. Many extensions are still affected. Help remains needed.

Aklapper closed this task as Resolved.Oct 12 2015, 3:23 PM

https://www.mediawiki.org/wiki/Manual:Logging_to_Special:Log is the current documentation that has existed for quite a while. As far as I can tell, this covers it all. Can this task be closed as resolved?

No feedback, so I'd say: Yes, let's resolve it.

Please reopen if you disagree.

Nemo_bis changed the task status from Resolved to Declined.Oct 25 2015, 11:03 AM